import 'package:apus_drones_mobile/constants/OrderStatus.dart';
import 'package:apus_drones_mobile/models/AddressModel.dart';
import 'package:apus_drones_mobile/models/CustomerModel.dart';
import 'package:apus_drones_mobile/models/OrderItemModel.dart';
import 'package:apus_drones_mobile/models/PartnerModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'OrderModel.g.dart';

@JsonSerializable()
class OrderModel {
  final int id;
  final PartnerModel partner;
  final CustomerModel customer;
  OrderStatus status;
  final DateTime createdAt;
  final double deliveryPrice;
  final List<OrderItemModel> items;
  final double orderPrice;
  final AddressModel? deliveryAddress;
  final AddressModel? shopAddress;

  OrderModel({
    required this.id,
    required this.partner,
    required this.customer,
    required this.status,
    required this.createdAt,
    required this.items,
    required this.deliveryPrice,
    required this.orderPrice,
    this.deliveryAddress,
    this.shopAddress,
  });

  factory OrderModel.fromJson(Map<String, dynamic> json) =>
      _$OrderModelFromJson(json);
  Map<String, dynamic> toJson() => _$OrderModelToJson(this);
}
