import 'package:apus_drones_mobile/models/CustomerModel.dart';
import 'package:apus_drones_mobile/models/OrderItemModel.dart';
import 'package:apus_drones_mobile/models/PartnerModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'PartialOrder.g.dart';

@JsonSerializable()
class PartialOrder {
  final int? id;
  final List<OrderItemModel> items;
  final PartialCustomer customer;
  final PartnerModel partner;
  final String status;

  PartialOrder(
      {this.id,
      required this.items,
      required this.customer,
      required this.partner,
      required this.status});

  factory PartialOrder.fromJson(Map<String, dynamic> json) =>
      _$PartialOrderFromJson(json);
  Map<String, dynamic> toJson() => _$PartialOrderToJson(this);
}
