import 'package:apus_drones_mobile/models/PartnerModel.dart';
import 'package:json_annotation/json_annotation.dart';

part 'ProductModel.g.dart';

@JsonSerializable()
class ProductModel {
  final int id;
  final String name;
  final String description;
  final double price;
  final String status;
  final double weight;
  final DateTime createdAt;
  final int quantity;
  final List<String>? imagesUrls;
  // TODO remover imageUrl, deixando apenas o imagesUrls
  final String? imageUrl;
  final PartnerModel? partner;

  ProductModel({
    required this.id,
    required this.name,
    required this.description,
    required this.price,
    required this.status,
    required this.weight,
    required this.createdAt,
    required this.quantity,
    this.partner,
    this.imagesUrls,
    this.imageUrl,
  });

  factory ProductModel.fromJson(Map<String, dynamic> json) =>
      _$ProductModelFromJson(json);
  Map<String, dynamic> toJson() => _$ProductModelToJson(this);
}
