import 'dart:math';

import 'package:apus_drones_mobile/models/CreateCustomer.dart';
import 'package:apus_drones_mobile/screens/LoginScreen.dart';
import 'package:apus_drones_mobile/services/CustomerService.dart';
import 'package:flutter/material.dart';

class CreateCustomerScreen extends StatefulWidget {
  const CreateCustomerScreen({Key? key}) : super(key: key);

  @override
  _CreateCustomerScreenState createState() => _CreateCustomerScreenState();
}

class _CreateCustomerScreenState extends State<CreateCustomerScreen> {
  late CreateCustomer customer;
  TextEditingController nameController = TextEditingController();
  TextEditingController CPFController = TextEditingController();
  TextEditingController passwordController = TextEditingController();
  TextEditingController emailController = TextEditingController();
  TextEditingController cepController = TextEditingController();
  TextEditingController adressController = TextEditingController();

  CustomerService service = new CustomerService();

  saveCustomer() {
    service.postCustomer(customer).then((data) => this.setState(() {}));
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: BodyCriarCliente(),
    );
  }

  Widget BodyCriarCliente() {
    return Container(
      width: MediaQuery.of(context).size.width,
      height: MediaQuery.of(context).size.height,
      child: Padding(
        padding: const EdgeInsets.only(top: 70, right: 25, left: 25),
        child: Column(
          children: [
            Text("Cadastro do Cliente",
                style: TextStyle(fontSize: 24, fontWeight: FontWeight.bold)),
            Expanded(
                child: SingleChildScrollView(
              child: getColumn(),
            )),
            SizedBox(
              height: 30,
            ),
            Row(
              mainAxisAlignment: MainAxisAlignment.end,
              children: [
                ElevatedButton(
                  onPressed: () {
                    back();
                  },
                  child: Text('Cancelar'),
                ),
                SizedBox(
                  width: 20,
                ),
                ElevatedButton(
                    onPressed: () {
                      createCliente();
                    },
                    child: Text('Criar')),
              ],
            ),
          ],
        ),
      ),
    );
  }

  Column getColumn() {
    List<Widget> list = [];

    list.add(SizedBox(
      height: 30,
    ));
    list.add(TextField(
      controller: nameController,
      decoration: InputDecoration(
        labelText: 'Nome completo',
        border: OutlineInputBorder(),
        helperText: 'Este nome aparecerá para os parceiros',
      ),
    ));
    list.add(SizedBox(
      height: 30,
    ));
    list.add(TextField(
      controller: CPFController,
      decoration: InputDecoration(
        labelText: 'CPF',
        border: OutlineInputBorder(),
      ),
      keyboardType: TextInputType.number,
    ));
    list.add(SizedBox(
      height: 30,
    ));
    list.add(TextField(
      controller: passwordController,
      decoration: InputDecoration(
        labelText: 'Senha',
        border: OutlineInputBorder(),
      ),
      keyboardType: TextInputType.visiblePassword,
    ));
    list.add(SizedBox(
      height: 30,
    ));
    //Usar o FileUploadInputElement() talvez para fazer upload de imagem
    list.add(TextField(
      controller: emailController,
      decoration: InputDecoration(
        labelText: 'Email',
        border: OutlineInputBorder(),
      ),
      keyboardType: TextInputType.emailAddress,
    ));
    list.add(SizedBox(
      height: 30,
    ));
    list.add(TextField(
        controller: cepController,
        decoration: InputDecoration(
          labelText: 'Cep',
          border: OutlineInputBorder(),
        ),
        keyboardType: TextInputType.number));
    list.add(SizedBox(
      height: 30,
    ));
    list.add(TextField(
      controller: adressController,
      decoration: InputDecoration(
        labelText: 'Endereço',
        border: OutlineInputBorder(),
      ),
    ));
    return new Column(children: list);
  }

  void createCliente() {
    String address;
    String avatarUrl;
    String cpfCnpj;
    String email;
    String name;
    String password;
    var rng = new Random();
    int n = rng.nextInt(300) + 1;
    String url =
        "https://raw.githubusercontent.com/PokeAPI/sprites/master/sprites/pokemon/$n.png";
    customer = CreateCustomer(adressController.text, url, CPFController.text,
        emailController.text, nameController.text, passwordController.text);

    saveCustomer();
    back();
  }

  void back() {
    Navigator.push(
        context, MaterialPageRoute(builder: (context) => LoginScreen()));
  }
}
