import 'package:flutter/material.dart';

class Header extends StatelessWidget {
  final String title;
  IconData? icon;

  Header({required this.title, this.icon});

  @override
  Widget build(BuildContext context) {
    final offSetStatusBar = MediaQuery.of(context).padding.top;

    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 20),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.center,
        children: [
          SizedBox(
            height: offSetStatusBar,
          ),
          Row(
            crossAxisAlignment: CrossAxisAlignment.center,
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text(
                title.toUpperCase(),
                style: TextStyle(color: Colors.red, fontSize: 36),
                textAlign: TextAlign.center,
              ),
              ...this.renderIcon()
            ],
          )
        ],
      ),
    );
  }

  List<Padding> renderIcon() {
    if (icon != null) {
      return [
        Padding(
          padding: const EdgeInsets.only(left: 8),
          child: Icon(
            Icons.shopping_cart,
            color: Colors.red,
          ),
        )
      ];
    }

    return [];
  }
}
