import 'package:apus_drones_mobile/models/OrderModel.dart';
import 'package:apus_drones_mobile/widgets/Price.dart';
import 'package:flutter/material.dart';
import 'package:intl/intl.dart';

class Order extends StatelessWidget {
  final OrderModel model;
  const Order({Key? key, required this.model}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Card(
      elevation: 3,
      margin: EdgeInsets.symmetric(horizontal: 15, vertical: 7),
      child: Padding(
        padding: const EdgeInsets.symmetric(vertical: 10, horizontal: 3),
        child: ListTile(
          title: Text(this.model.partner.name),
          leading: Container(
            height: 60,
            width: 60,
            decoration: BoxDecoration(
                borderRadius: BorderRadius.circular(4),
                image: new DecorationImage(
                  fit: BoxFit.cover,
                  alignment: FractionalOffset.center,
                  image: new NetworkImage(this.model.partner.avatarUrl),
                )),
          ),
          trailing: Column(
            children: [
              Text(DateFormat('dd/MM/yyyy').format(this.model.createdAt)),
              Price(price: this.model.orderPrice)
            ],
          ),
          subtitle: Padding(
            padding: const EdgeInsets.only(top: 8.0),
            child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: this
                    .model
                    .items
                    .map((item) => Text(
                        item.quantity.toString() + "x " + item.product.name))
                    .toList()),
          ),
        ),
      ),
    );
  }
}
