import 'package:apus_drones_mobile/models/ProductModel.dart';
import 'package:apus_drones_mobile/widgets/ProductCard.dart';
import 'package:flutter/material.dart';

class PartnerProductCard extends StatelessWidget {
  final ProductModel product;
  final bool selected;
  final void Function()? onTap;
  final void Function()? onLongPress;
  const PartnerProductCard(
      {Key? key,
      required this.product,
      this.selected = false,
      this.onTap,
      this.onLongPress})
      : super(key: key);

  @override
  Widget build(BuildContext context) {
    return ProductCard(
      product: product,
      selected: selected,
      quantity: product.quantity,
      onTap: this.onTap,
      onLongPress: this.onLongPress,
    );
  }
}
